// @refresh reload
import { Meta, MetaProvider, Title } from "@solidjs/meta";
import { Router } from "@solidjs/router";
import { FileRoutes } from "@solidjs/start";
import { Suspense } from "solid-js";
import Footer from "./components/Footer";
import NavBar from "./components/NavBar";
import "./styles/GlobalLayout.css";
import "./styles/Layout.scss";

export default function App() {
  return (
    <Router
      root={(props) => (
        <MetaProvider>
          <Meta
            name="description"
            content="The Splatoon Discord bot with unique features."
          />
          <Title>li'l Judd - Your competitive Splatoon assistant</Title>
          <NavBar />
          <Suspense>{props.children}</Suspense>
          <Footer />
        </MetaProvider>
      )}
    >
      <FileRoutes />
    </Router>
  );
}
